<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>Linux Mint</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Aktualizovanie cez príkazový riadok</desc>
  </info>

  <title>Používa mintupdatex-cli</title>

    <p>Správca Aktualizácií poskytuje nástroj pre príkazový riadok "mintupdatex-cli".</p>

    <p>Ak ste skúsení s Linuxom, môžete tento nástroj využívať v skriptoch alebo cron úlohách na automatizovanie inštalácie aktualizácií.</p>

  <section id="tool1">

  <title>Vypísanie aktualizácií</title>

  <p>Môžete použíť príkaz "list" na vypísanie aktualizácií:</p>

  <screen>mintupdatex-cli list</screen>

  <p>Pomocou -s zobrazíte iba bezpečnostné aktualizácie.</p>

  <p>Pomocou -k zobrazíte iba aktualizácie kernelu.</p>

  <p>Napríklad nasledujúci príkaz zobrazí všetky aktualizácie zabezpečenia:</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Aplikácia aktualizácií</title>

  <p>Môžete použiť príkaz "upgrade" na aplikovanie aktualizácií s rovnakými možnosťami.</p>

  <p>Napríklad tento príkaz sa vzťahuje na aktualizácie kernelu:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Všimnite si argumentu -r, ktorý obnoví medzipamäť.</p>

  <p>Pre viac informácií o mintupdatex-cli a vypísanie zoznamu argumentov napíšte:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
